/*
 * Class WEL_ESB_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_282 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_282 [] = {0xFF01,1551,281,0xFFFF};
static const EIF_TYPE_INDEX egt_2_282 [] = {0xFF01,281,0xFFFF};
static const EIF_TYPE_INDEX egt_3_282 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_282 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_282 [] = {0xFF01,281,0xFFFF};
static const EIF_TYPE_INDEX egt_6_282 [] = {0xFF01,281,0xFFFF};
static const EIF_TYPE_INDEX egt_7_282 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_282 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_282 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_282 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_282 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_282 [] = {0xFF01,281,0xFFFF};


static const struct desc_info desc_282[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_282), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_282), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_282), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_282), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_282), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_282), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_282), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_282), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_282), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_282), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_282), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_282), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0233 /*281*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_282), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5358, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5360, 0xFFFFFFFF},
};
void Init282(void)
{
	IDSC(desc_282, 0, 281);
	IDSC(desc_282 + 1, 1, 281);
	IDSC(desc_282 + 32, 404, 281);
}


#ifdef __cplusplus
}
#endif
